package xyz.wbsite.zentao.sdk.task.req;

import java.util.List;

/**
 * 禅道任务创建请求
 *
 * @author wangbing
 * @version 0.0.1
 * @since 1.8
 */
public class ZtTaskCreateRequest {

    /**
     * 执行ID
     */
    private int execution;

    /**
     * 任务类型devel/design/request/test/study/discuss/ui/affair/misc
     */
    private String type;

    /**
     * 所属模块ID,可默认0
     */
    private String module;

    /**
     * 指派
     */
    private List<String> assignedTo;

    /**
     * 指派多人时设置
     */
    private String teamMember;

    /**
     * 是否多人任务，1表示是
     */
    private String multiple;
    /**
     * 开发模式linear/multi，多人任务时指定
     */
    private String mode;
    /**
     * 关联需求
     */
    private String story;
    private String storyEstimate;
    private String storyDesc;
    private String storyPri;
    /**
     * 任务颜色
     */
    private String color;
    /**
     * 任务标题
     */
    private String name;
    /**
     * 优先级1-4，从高到低
     */
    private String pri;
    /**
     * 预计时间(小时)整数或小数
     */
    private String estimate;
    /**
     * 任务描述
     */
    private String desc;
    /**
     * 预计开始时间yyyy-MM-dd
     */
    private String estStarted;
    /**
     * 预计结束日期yyyy-MM-dd
     */
    private String deadline;
    /**
     * 抄送人
     */
    private List<String> mailtos;

    public int getExecution() {
        return execution;
    }

    public void setExecution(int execution) {
        this.execution = execution;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public List<String> getAssignedTo() {
        return assignedTo;
    }

    public void setAssignedTo(List<String> assignedTo) {
        this.assignedTo = assignedTo;
    }

    public String getTeamMember() {
        return teamMember;
    }

    public void setTeamMember(String teamMember) {
        this.teamMember = teamMember;
    }

    public String getMultiple() {
        return multiple;
    }

    public void setMultiple(String multiple) {
        this.multiple = multiple;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getStory() {
        return story;
    }

    public void setStory(String story) {
        this.story = story;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStoryEstimate() {
        return storyEstimate;
    }

    public void setStoryEstimate(String storyEstimate) {
        this.storyEstimate = storyEstimate;
    }

    public String getStoryDesc() {
        return storyDesc;
    }

    public void setStoryDesc(String storyDesc) {
        this.storyDesc = storyDesc;
    }

    public String getStoryPri() {
        return storyPri;
    }

    public void setStoryPri(String storyPri) {
        this.storyPri = storyPri;
    }

    public String getPri() {
        return pri;
    }

    public void setPri(String pri) {
        this.pri = pri;
    }

    public String getEstimate() {
        return estimate;
    }

    public void setEstimate(String estimate) {
        this.estimate = estimate;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getEstStarted() {
        return estStarted;
    }

    public void setEstStarted(String estStarted) {
        this.estStarted = estStarted;
    }

    public String getDeadline() {
        return deadline;
    }

    public void setDeadline(String deadline) {
        this.deadline = deadline;
    }

    public List<String> getMailtos() {
        return mailtos;
    }

    public void setMailtos(List<String> mailtos) {
        this.mailtos = mailtos;
    }
}
